/**
 * SPDX-FileCopyrightText: 2020-2024 EasyCoding Team and contributors
 *
 * SPDX-License-Identifier: MIT
*/

#ifndef APPCONSTANTS_HPP
#define APPCONSTANTS_HPP

/**
 * @file appconstants/appconstants.hpp
 * Contains the AppConstants namespace definition.
*/

#include <string_view>

/**
 * Namespace for working with various constants used in project.
*/
namespace AppConstants {
    /**
     * Stores the application internal name as a string.
    */
    inline constexpr std::string_view ProductNameInternal = "zswap-cli";

    /**
     * Stores the application version number as a string.
    */
    inline constexpr std::string_view ProductVersion = "1.0.0";
}

#endif // APPCONSTANTS_HPP
